Skip to main content
POST
https://{tenantDomain}/api/v2
/
actions
/
actions
/
{id}
/
test
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Actions.TestAsync(
            id: "id",
            request: new TestActionRequestContent {
                Payload = new Dictionary<string, object?>(){
                    ["key"] = "value",
                }

            }
        );
    }

}
{
  "payload": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the action to test.

Body

payload
object
required

The payload for the action.

Response

Test action version successfully created.

payload
object

The resulting payload after an action was executed.